<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('image')->nullable();
            $table->integer('the_id');
            $table->string('name_ar');
            $table->string('name_en');
            $table->string('name_in_business_card_ar')->nullable();
            $table->string('name_in_business_card_en')->nullable();
            $table->string('name_in_id_card')->nullable();
            $table->string('mobile');
            $table->string('telephone');
            $table->string('fax');
            $table->text('address');
            $table->string('website');
            $table->string('moto_text');
            $table->string('location');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
